pragma foreign_keys = 0;

begin;
attach database 'lahman-raw.db' as 'raw';

create temp table fieldingof as
select * from "raw".fieldingof;

delete from fieldingof
where playerid = 'gilliba01' and yearid = 1875;

delete from fieldingof
where playerid = 'hallji01' and yearid = 1875;

delete from fieldingof
where playerid = 'mckened01' and yearid = 1877;

delete from fieldingof
where playerid = 'jonesbi01' and yearid = 1882;

delete from fieldingof
where playerid = 'morgabi01' and yearid = 1882;

update fieldingof
set yearid = 1884
where playerid = 'loughbi01' and yearid = 1883;

update fieldingof
set stint = 1
where playerid = 'donneji01' and yearid = 1884;

update fieldingof
set yearid = 1883
where playerid = 'lough01' and yearid = 1884;

CREATE TABLE IF NOT EXISTS "fieldingof" (
	"player"	TEXT,
	"year"	NUMERIC,
	"stint"	NUMERIC,
	"Glf"	NUMERIC,
	"Gcf"	NUMERIC,
	"Grf"	NUMERIC,
	PRIMARY KEY("player","year","stint"),
	foreign key("year","player","stint") references "playerstints"("year","player","stint")
);

insert into main.fieldingof select distinct * from temp.fieldingof;
commit;
