pragma foreign_keys = 0;

begin;
attach database 'lahman-raw.db' as 'raw';
create temp table if not exists "yearlyawards" (
	"year"	numeric,
	"award"	text,
	"league"	text
);

insert into yearlyawards
select distinct yearid, awardid, lgID
from "raw".awardsmanagers
union
select distinct yearid, awardid, lgID
from "raw".awardsplayers;

create table if not exists main."yearlyawards" (
	"year"	numeric,
	"award"	text,
	"league"	text,
	primary key("year","award","league"),
	foreign key("year") references "seasons"("year"),
	foreign key("award") references "awards"("ID")
);

insert into main.yearlyawards select distinct * from temp."yearlyawards";
commit;
